--[[
    PvP Auras (common)
]]
local TRACE = function(msg) ChatFrame1:AddMessage(msg) end
local tuf_aura_db = TuckUF.aura_db

-- local shortcut
local add_data = tuf_aura_db.SetAuraInfo
local add_data = tuf_aura_db.AddAuraInfo

local function initializer()
    --[[ This config is for PRIESTS ]]
    local _, player_class = UnitClass("player")
    if player_class ~= "PRIEST" then return end
    
    --[[ Buffs on friendly targets]]
    add_data("Pain Suppression",        {power_friend = 140, power_self = 140})
    add_data("Power Infusion",          {power_friend = 130, power_self = 130})
    add_data("Fear Ward",               {power_friend = 120, power_self = 120})   
    add_data("Prayer of Mending",       {power_friend = 110, power_self = 110})
    add_data("Renew",                   {power_friend = 100, power_self = 100})
    
    
    --[[ Debuffs on friendly targets ]]
    add_data("Blind",                   {power_friend = 200, power_self = 200})
    add_data("Sap",                     {power_friend = 200, power_self = 200})
    
    add_data("Polymorph",               {power_friend = 190, power_self = 190})
    add_data("Freezing Trap",           {power_friend = 190, power_self = 190})
    add_data("Fear",                    {power_friend = 190, power_self = 190})
    add_data("Psychic Scream",          {power_friend = 190, power_self = 190})
    add_data("Howl of Terror",          {power_friend = 190, power_self = 190})
    
    add_data("Frost Nova",              {power_friend = 180, power_self = 180})
    
    add_data("Faerie Fire",             {power_friend = 170, power_self = 170})
    
    add_data("Mortal Strike",           {power_friend = 120, power_self = 120})   
    add_data("Wound Poison",            {power_friend = 110, power_self = 110})

    --add_data("Weakened Soul",           {power_friend = 101, power_self = 101})

    --[[ Debuffs on enemy targets]]
    add_data("Blind",                   {power_enemy = 280})
    add_data("Sap",                     {power_enemy = 270})
    
    add_data("Kidney Shot",             {power_enemy = 260})
    add_data("Cheap Shot",              {power_enemy = 260})
    add_data("Intercept Stun",          {power_enemy = 260})
    add_data("Charge Stun",             {power_enemy = 260})
    add_data("Stun",                    {power_enemy = 260})
    add_data("Mace Stun",               {power_enemy = 260})
    
    add_data("Gouge",                   {power_enemy = 250})
    
    add_data("Psychic Scream",          {power_enemy = 240})
    add_data("Intimidating Shout",      {power_enemy = 240})
    
    add_data("Chastise",                {power_enemy = 210})
    add_data("Improved Hamstring",      {power_enemy = 210})
    
    --[[ Buffs on enemy targets]]

    -- powerful buffs that need dispeling ASAP
    add_data("Blessing of Protection",  {power_enemy = 300} )
    add_data("Divine Protection",       {power_enemy = 300} )
    add_data("Divine Shield",           {power_enemy = 300} )
    add_data("Ice Block",               {power_enemy = 300} )
    add_data("Fel Domination",          {power_enemy = 300} )
    add_data("Nature's Swiftness",      {power_enemy = 300} )
    add_data("Presence of Mind",        {power_enemy = 300} )
    add_data("Nature's Grasp",          {power_enemy = 300} )
    add_data("Innervate",               {power_enemy = 300} )
    
    -- powerful buffs that need dispeling
    add_data("Arcane Power",            {power_enemy = 280} )
    add_data("Heroism",                 {power_enemy = 280} )
    add_data("Bloodlust",               {power_enemy = 280} )
    add_data("Power Infusion",          {power_enemy = 280} )
    add_data("Combustion",              {power_enemy = 280} )
    add_data("Icy Veins",               {power_enemy = 280} )
    
    add_data("Fear Ward",               {power_enemy = 200} )
    add_data("Blessing of Freedom",     {power_enemy = 200} )
    
    
    add_data("Abolish Poison",          {power_enemy = 200} )
    
    add_data("Inner Focus",             {power_enemy = 200} )
    add_data("Divine Illumination",     {power_enemy = 200} )
    add_data("Nightfall",               {power_enemy = 200} )
    add_data("Nether Protection",       {power_enemy = 200} )
    add_data("Blessing of Sacrifice",   {power_enemy = 200} )
    add_data("Fel Armor",               {power_enemy = 200} )
    add_data("Earth Shield",            {power_enemy = 200} )
    add_data("Barkskin",                {power_enemy = 200} )
    add_data("Pain Suppression",        {power_enemy = 200} )
    add_data("Shamanistic Rage",        {power_enemy = 200} )
    add_data("Invisibility",            {power_enemy = 200} )
    add_data("Rejuvenation",            {power_enemy = 200} )
    add_data("Regrowth",                {power_enemy = 200} )
    add_data("Renew",                   {power_enemy = 200} )
    add_data("Power Word: Shield",      {power_enemy = 200} )
    
    add_data("Lifebloom",               {power_enemy = 200} )
    
    add_data("Adrenaline Rush",         {power_enemy = 200} )
    add_data("Icy Veins",               {power_enemy = 200} )
    add_data("Arcane Power",            {power_enemy = 200} )
    add_data("Power Infusion",          {power_enemy = 200} )
    add_data("Combustion",              {power_enemy = 200} )
    add_data("Recklessness",            {power_enemy = 200} )
    add_data("Cold Blood",              {power_enemy = 200} )
    add_data("The Beast Within",        {power_enemy = 200} )
    add_data("Heroism",                 {power_enemy = 200} )
    add_data("Bloodlust",               {power_enemy = 200} )
    add_data("Avenging Wrath",          {power_enemy = 200} )
    add_data("Rapid Fire",              {power_enemy = 200} )
    add_data("Tiger's Fury",            {power_enemy = 200} )
    add_data("Rampage",                 {power_enemy = 200} )
    add_data("Sweeping Strikes",        {power_enemy = 200} )
    add_data("Blade Flurry",            {power_enemy = 200} )
    
    add_data("Cloak of Shadows",        {power_enemy = 200} )
    add_data("Spell Reflection",        {power_enemy = 200} )

    add_data("Fear Ward",               {power_enemy = 200} )
    add_data("Berserker Rage",          {power_enemy = 200} )
    add_data("Death Wish",              {power_enemy = 200} )
    add_data("The Beast Within",        {power_enemy = 200} )
    add_data("Nether Protection",       {power_enemy = 200} )
end

tuf_aura_db:AddDBInitializer(initializer)



